Skip to main content
GET
/
api
/
v2
/
segments
/
{projectKey}
/
{environmentKey}
/
{segmentKey}
/
users
/
{userKey}
Get big segment membership for user
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/users/{userKey} \
  --header 'Authorization: <api-key>'
{
  "userKey": "<string>",
  "included": true,
  "excluded": true
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

segmentKey
string<string>
required

The segment key

userKey
string<string>
required

The user key

Response

Segment membership for user response

userKey
string
required

The target key

included
boolean
required

Indicates whether the target is included.
Included targets are always segment members, regardless of segment rules.

excluded
boolean
required

Indicates whether the target is excluded.
Segment rules bypass excluded targets, so they will never be included based on rules. Excluded targets may still be included explicitly.